Logo

Developer Documentation

Build powerful integrations with our secure, lightning-fast JSON API.

API Version 1.0

Getting Started

The TisasNg API provides a suite of programmatic tools for merchants and developers to automate token distribution and monitor financial activity. All API interactions are conducted over HTTPS and follow RESTful principles.

Base URL: https://account.tisasng.com/api

Authentication

To access the API, you must provide your Merchant API Key in the request header. You can find your key in the security settings of your merchant dashboard.

X-API-KEY: your_unique_api_key
Security Note: Never share your API key or include it in client-side code (JavaScript/Frontend).

Check Balance

Fetch the current real-time balance of your Gifting and Reward wallets.

POST /balance
Example Request
$client = new \GuzzleHttp\Client();
$res = $client->post('https://account.tisasng.com/api/balance', [
    'headers' => ['X-API-KEY' => 'your_key']
]);
const axios = require('axios');
axios.post('https://account.tisasng.com/api/balance', {}, {
    headers: { 'X-API-KEY': 'your_key' }
});
import requests
requests.post('https://account.tisasng.com/api/balance', 
    headers={'X-API-KEY': 'your_key'})
Response Object
{
  "gifting": "50,000.00",
  "reward": "12,450.00"
}

Bulk Gift Tokens

Send Tisas Tokens to one or many customers simultaneously.

POST /gift-token
Request Parameters
Field Type Description
phones* Array Recipient phone numbers (e.g. ["080123..."])
token* Integer Number of tokens per phone number.
Example Request
$res = $client->post('https://account.tisasng.com/api/gift-token', [
    'headers' => ['X-API-KEY' => 'your_key'],
    'json' => ['phones' => ['08012345678'], 'token' => 10]
]);
axios.post('https://account.tisasng.com/api/gift-token', {
    phones: ["08012345678"],
    token: 10
}, { headers: { 'X-API-KEY': 'your_key' } });
requests.post('https://account.tisasng.com/api/gift-token', 
    json={"phones": ["080..."], "token": 10},
    headers={'X-API-KEY': 'your_key'})